using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace prj_wfrm_centreCall_tickets
{
    public partial class Durée_maxi_contrat : Form
    {
        public Durée_maxi_contrat()
        {
            InitializeComponent();
        }

        private void Durée_maxi_contrat_Load(object sender, EventArgs e)
        {
            if (tab.nbClients == 0)
            {
                MessageBox.Show("Aucun", "Information", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            else
            {
                //parcours du tableau des client 
                for (int i = 0; i < tab.nbClients; i++)
                {
                    //configuration d'une ligne de la liste
                    ListViewItem ligne = new ListViewItem();

                    //1ère colonne = n° du client 
                    ligne.Text = tab.client[i].numero.ToString();

                    //2ème colonne = la raison sociale  
                    ligne.SubItems.Add(tab.client[i].raisonSociale.ToString());

                    //3ème colonne = le montant du ticket 
                     ligne.SubItems.Add(tab.client[i].montantTickets.ToString());

                    //4ème colonne = le montant du contrat 
                    ligne.SubItems.Add(tab.client[i].montantContrat.ToString());

                    //ajout de la ligne dans la liste
                    lv_durée_maxi_contrat.Items.Add(ligne);
                }
            }
        }
    }
}
